Skip to main content
GET
/
repos
/
{repo_id}
/
workspaces
/
{workspace_id}
cURL
curl --request GET \
  --url https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id} \
  --header 'Authorization: Bearer <token>'
{
  "workspace_id": "<string>",
  "base_commit_id": "<string>",
  "repo_id": "<string>",
  "journal_ordinal_id": 123,
  "name": "<string>",
  "source_commit": "<string>",
  "branch_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2 with the implicit grant flow

Path Parameters

repo_id
string
required

The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.

Required string length: 3 - 128
Example:

"example_id"

workspace_id
string
required

The repo ID of the workspace.

Required string length: 3 - 128
Example:

"example_id"

Response

Workspace details returned

workspace_id
string
required
base_commit_id
string
required
repo_id
string
required
journal_ordinal_id
integer<uint64>
required

An ordinal ID of a workspace journal entry

name
string
Maximum string length: 128
source_commit
string
branch_id
string